## org.biojava.bio.seq
Class StrandedFeature.Template

    java.lang.Object
      org.biojava.bio.seq.Feature.Template
          org.biojava.bio.seq.StrandedFeature.Template

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  ComponentFeature.Template, FramedFeature.Template, HomologyFeature.Template, RemoteFeature.Template, RestrictionSite.Template, SimilarityPairFeature.Template

Enclosing interface:
  StrandedFeature

    public static class StrandedFeature.Template

extends Feature.Template

Template class for parameterizing the creation of a new `StrandedFeature`.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Field Summary
`StrandedFeature.Strand` `strand`

Fields inherited from class org.biojava.bio.seq.Feature.Template
`annotation, location, source, sourceTerm, type, typeTerm`

Constructor Summary
`StrandedFeature.Template()`

Method Summary

Methods inherited from class org.biojava.bio.seq.Feature.Template
`clone, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### strand

    public StrandedFeature.Strand strand

Constructor Detail

### StrandedFeature.Template

    public StrandedFeature.Template()